Loading...
Searching...
No Matches
nonrecursive_range Interface Reference
Core » Debug Stream

A concept that checks whether a range is non-recursive. More...

`#include <seqan3/core/debug_stream/range.hpp>`

## Detailed Description

A concept that checks whether a range is non-recursive.

A range is considered non-recursive if it is itself a range whose reference type is not the range type itself.

Template Parameters

  rng_t | The type to check.

The documentation for this interface was generated from the following file:

- range.hpp

Hide me